import '../lookup.dart';

class TechnicalGuidanceBook {
  TechnicalGuidanceBook({this.id, this.guidanceBook});

  TechnicalGuidanceBook.fromJson(dynamic json) {
    id = json['id'];
    guidanceBook = json['guidanceBook'] != null ? Lookup.fromJson(json['guidanceBook']) : null;
  }

  num id;
  Lookup guidanceBook;

  TechnicalGuidanceBook copyWith({
    num id,
    Lookup guidanceBook,
  }) =>
      TechnicalGuidanceBook(
        id: id ?? this.id,
        guidanceBook: guidanceBook ?? this.guidanceBook,
      );

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['id'] = id;
    if (guidanceBook != null) {
      map['guidanceBook'] = guidanceBook.toJson();
    }
    return map;
  }
}
